trousers (0.3.13-1) unstable; urgency=medium

  * Imported Upstream version 0.3.13
  * Refreshed quilt patches
  * Include utmp.h, should fix FTBFS on Hurd (Closes: #729179)
  * Try to workaround systemd/udev names when reloading rules (Closes: #739485)
  * Update symbols
  * Bump Standards Version to 3.9.5

 -- Pierre Chifflier <pollux@debian.org>  Sun, 29 Jun 2014 17:45:25 +0200

trousers (0.3.11.2-1) unstable; urgency=low

  * Imported Upstream version 0.3.11.2
  * Upstream license changed to BSD
  * Example tools are not shipped anymore
  * Remove 05-gcc47.patch, not needed anymore
  * Updated symbols file

 -- Pierre Chifflier <pollux@debian.org>  Tue, 20 Aug 2013 18:01:47 +0200

trousers (0.3.10-3) unstable; urgency=low

  * Remove tools, distributed under GPLv2+ but linked with CPL
    (Closes: #697512)
  * Bump Standards Version to 3.9.4

 -- Pierre Chifflier <pollux@debian.org>  Thu, 04 Jul 2013 11:23:07 +0200

trousers (0.3.10-2) unstable; urgency=low

  * Reload udev rules before triggering event during postinst (Closes: #581505)

 -- Pierre Chifflier <pollux@debian.org>  Tue, 19 Feb 2013 20:26:45 +0100

trousers (0.3.10-1) unstable; urgency=low

  * Imported Upstream version 0.3.10
  * Update symbols file
  * Force build of tools

 -- Pierre Chifflier <pollux@debian.org>  Sat, 10 Nov 2012 17:04:44 +0100

trousers (0.3.9-3) unstable; urgency=low

  * Fix regression introduced in previous patch, preventing removal
    (Closes: #680375)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 05 Jul 2012 20:56:13 +0200

trousers (0.3.9-2) unstable; urgency=low

  * Add workaround for upgrade failure for versions before 0.3.8-3
    (Closes: #679621)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 04 Jul 2012 21:57:22 +0200

trousers (0.3.9-1) unstable; urgency=low

  * Imported Upstream version 0.3.9
  * Refreshed Debian patches
  * Removed patch 04-gcc46.patch, not required anymore

 -- Pierre Chifflier <pollux@debian.org>  Mon, 18 Jun 2012 22:22:21 +0200

trousers (0.3.8-3) unstable; urgency=low

  * Fix typo in init script (Closes: #676828)
  * Really save the pid of the daemon in /var/run.tcsd.pid (Closes: #676829)

 -- Pierre Chifflier <pollux@debian.org>  Sat, 16 Jun 2012 10:37:51 +0200

trousers (0.3.8-2) unstable; urgency=low

  * Add 05-gcc47.patch to fix FTBFS with gcc 4.7 (Closes: #667400)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 05 Apr 2012 22:28:08 +0200

trousers (0.3.8-1) unstable; urgency=low

  * Imported Upstream version 0.3.8
  * Switch to DH version 9
    - Enable multiarch support
    - Enable hardening flags
  * Bump Standards Version to 3.9.3
  * Update symbols file
  * Trigger udev to fix device permissions when installing daemon
    (Closes: #659872)
    Thanks to Laurent Bigonville for the patch.

 -- Pierre Chifflier <pollux@debian.org>  Sun, 26 Feb 2012 13:01:10 +0100

trousers (0.3.7-2) unstable; urgency=low

  * Apply following patches, thanks to Laurent Bigonville:
    * Add $network to init script depends (Closes: #649954)
    * Do not use --background in init script (Closes: #649901)
  * Also add --oknodo on start

 -- Pierre Chifflier <pollux@debian.org>  Sat, 17 Dec 2011 15:14:17 +0000

trousers (0.3.7-1) unstable; urgency=low

  * Imported Upstream version 0.3.7
  * Adopt package (set new maintainer) (Closes: #543932)
  * Add pkg-config to build-depends
  * Update symbols for libtspi1
  * Use dh --with autoreconf
  * Update patches to work with dh_autoreconf

 -- Pierre Chifflier <pollux@debian.org>  Mon, 21 Nov 2011 21:21:39 +0100

trousers (0.3.5-4) unstable; urgency=low

  * QA upload.
  * Bum Strandards-Version to 3.9.2.
  * Remove la file completely. Pass -X.la to dh_install to not fail.

 -- Regis Boudin <regis@debian.org>  Mon, 22 Aug 2011 20:19:57 +0100

trousers (0.3.5-3) unstable; urgency=low

  * QA upload.
  * Fix build failure with GCC 4.6 -Werrror (Thorsten Alteholz).
    Closes: #625413. LP: #829433.

 -- Matthias Klose <doko@debian.org>  Sat, 20 Aug 2011 14:11:30 +0200

trousers (0.3.5-2) unstable; urgency=low

  * QA upload.
  * Fix udev rules installation (Closes: #588732)
  * Bump Standards-Version to 3.9.0 (no further changes)
  * debian/libtspi1.symbols: Add symbols file

 -- Laurent Bigonville <bigon@debian.org>  Mon, 12 Jul 2010 10:46:00 +0200

trousers (0.3.5-1) unstable; urgency=low

  * QA upload.
  * New upstream release:
    - Drop patches: 04-syslog.patch, 05-limits.patch, 06-gcc44.patch, 
      08-64bit-cleanliness.patch, 09-fix-fopen.patch, 10-flock-struct.patch,
      12-trousers-kbsd.patch: applied upstream
    - Drop patch 07-tpm-emu.patch: Reworked and applied upstream
    - Refresh patches: 01-tss-user.patch, 03-readme.patch
  * Use new source format '3.0 (quilt)':
    - debian/rules: remove quilt magic
    - debian/control: remove quilt build-dependency
  * Bump Standards-Version to 3.8.4 (no further changes)
  * debian/trousers.init: Add $remote_fs for Required-Start and Required-Stop
  * Install udev rules in /lib/udev/rules.d:
    - debian/rules: use dh_installudev to install 45-trousers.rules and be sure
      the file is installed with the correct priority
    - debian/trousers.preinst: Remove old 45-trousers.rules if unmodified
    - debian/control: Add Breaks to ensure correct version of udev is used.
  * Use new autotools-dev dh 7 magic for handeling update of config.{sub,guess}
  * Fix typo in various manpages

 -- Laurent Bigonville <bigon@debian.org>  Mon, 24 May 2010 14:19:57 +0200

trousers (0.3.2-9) unstable; urgency=low

  * QA upload.
  * Really fix FTBFS on kfreebsd-* (Closes: #557556)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 26 Nov 2009 11:55:30 +0100

trousers (0.3.2-8) unstable; urgency=low

  * QA upload.
  * Fix FTBFS on kfreebsd-* (Closes: #557556)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 23 Nov 2009 10:44:10 +0100

trousers (0.3.2-7) unstable; urgency=low

  * QA upload.
  * debian/trousers.init:
    - Don't return failure when stopping daemon and daemon is already
      stopped (Closes: #552092)
    - Use LSB functions to display messages
    - Try to be a little bit more LSB compilant with exit values
    - Run daemon as tss user
    - Remove pid file on stop
    - Use status_of_proc to get daemon status
  * debian/trousers.postinst:
    - Don't chown tcsd daemon to tss user (Closes: #552489)
    - Set shell as /bin/false instead of /usr/sbin/nologin for tss user
    - Chmod /var/lib/tpm as 0700 as the daemon do it anyway when starting
    - Also provide "trousers" to fix init.d-script-does-not-provide-itself 
  * debian/control: Remove duplicate section to please lintian
  * debian/patches/11-fix-manminus.patch: Fix hyphen-used-as-minus-sign
  * debian/watch: Add watch file

 -- Laurent Bigonville <bigon@debian.org>  Sun, 22 Nov 2009 19:39:32 +0100

trousers (0.3.2-6) unstable; urgency=low

  * QA upload.
  * debian/patches/10-flock-struct.patch: Fix FTBFS on some arch where flock
    struct need padding (Closes: #543572)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 17 Oct 2009 13:00:23 +0200

trousers (0.3.2-5) unstable; urgency=low

  * QA upload.
  * debian/patches/09-fix-fopen.patch: Fix FTBS on most archs
    (Taken from upstream) (Closes: #544685)
  * Fix debhelper-overrides-need-versioned-build-depends

 -- Laurent Bigonville <bigon@debian.org>  Fri, 16 Oct 2009 21:35:33 +0200

trousers (0.3.2-4) unstable; urgency=low

  * Forgot to remove me from uploaders.

 -- Daniel Baumann <daniel@debian.org>  Mon, 31 Aug 2009 08:51:11 +0200

trousers (0.3.2-3) unstable; urgency=low

  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 16:20:01 +0200

trousers (0.3.2-2) unstable; urgency=low

  * Updating to standards version 3.8.3.
  * Adding patch for 64bit cleanliness (Closes: #541717).

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Aug 2009 10:06:29 +0200

trousers (0.3.2-1) unstable; urgency=low

  * Merging upstream version 0.3.2.
  * Rediffing tss-user.patch.
  * Removing 64bit-cleanliness.patch, not needed anymore.
  * Rediffing syslog.patch.
  * Removing bad-shutdown.patch, went upstream.
  * Rediffing gcc44.patch.
  * Removing selinux.patch, went upstream.
  * Removing reuseaddr.patch, went upstream.
  * Renumbering patches.

 -- Daniel Baumann <daniel@debian.org>  Sat, 15 Aug 2009 20:49:09 +0200

trousers (0.3.1-11) unstable; urgency=low

  * Minimizing rules file.
  * Updating maintainer field.
  * Updating vcs fields.
  * Sorting and updating depends.
  * Tidy debhelper install files.

 -- Daniel Baumann <daniel@debian.org>  Fri, 14 Aug 2009 12:09:06 +0200

trousers (0.3.1-10) unstable; urgency=low

  * Updating package to standards 3.8.2.
  * Updating rules file to current state of the art.
  * Updating bad-shutdown.patch, thanks to Chaskiel Grundman
    <cg2v@andrew.cmu.edu> (Closes: #521245).
  * Depending on patch target for clean (Closes: #533489).
  * Adding patch from David Woodhouse <David.Woodhouse@intel.com> to
    work around SELinux namespace pollution (Closes: #533588).
  * Fixing FTBFS with gcc4.4 directly with a patch from Milos Jakubicek
    <xjakub@fi.muni.cz> rather than workarounding it (Closes: #505602).
  * Adding patch from David Woodhouse <David.Woodhouse@intel.com> to use
    SO_REUSEADDR.
  * Adding patch from David Woodhouse <David.Woodhouse@intel.com> to use
    TPM emulator if it's available and no hardware is.

 -- Daniel Baumann <daniel@debian.org>  Thu, 16 Jul 2009 16:36:30 +0200

trousers (0.3.1-9) unstable; urgency=low

  * Using correct rfc-2822 date formats in changelog.
  * Upgrading to standards 3.8.1.
  * Using more standard name for directory to keep local debian
    additions.
  * Using quilt rather than dpatch.
  * Adding patch from David Smith <dds@google.com> to fix dealing with
    bad shutdowns (Closes: #521245).
  * Adding patch to not fail with gcc4.4 (Closes: #505602).
  * Updating year in copyright file.
  * Updating section of the debug package.

 -- Daniel Baumann <daniel@debian.org>  Tue, 19 May 2009 15:45:44 +0200

trousers (0.3.1-8) unstable; urgency=low

  * Updating vcs fields in control file.
  * Using patch-stamp rather than patch in rules file.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Not using system libtool but included one to workaround
    incompatibilities with newer libtool (Closes: #526563).

 -- Daniel Baumann <daniel@debian.org>  Sun, 03 May 2009 10:12:00 +0200

trousers (0.3.1-7) unstable; urgency=high

  * Also adding check for /dev/tpm* existence in stop section of the
    initscript (Closes: #488089).
  * Adding patch from Albin Tonnerre <lutin@ubuntu.com> to add missing
    includes on limits.h.
  * Adding patch from Albin Tonnerre <lutin@ubuntu.com> to fix trousers
    usage of syslog.
  * Using less alarming 'skipping' rather than 'aborting' when not
    starting the daemon through the initscript.
  * Updating to standards 3.8.0.

 -- Daniel Baumann <daniel@debian.org>  Wed, 02 Jul 2008 09:06:00 +0200

trousers (0.3.1-6) unstable; urgency=medium

  * Adding forgotten build-depends to libtool (Closes: #478724).

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2008 11:20:00 +0200

trousers (0.3.1-5) unstable; urgency=medium

  * Cleaning up init script.
  * Fixing init script, thanks to David Smith <dds@google.com> (Closes:
    #459679).
  * Using libtool to install additional tools, thanks to Chaskiel
    Grundman <cg2v@andrew.cmu.edu> (Closes: #463899).
  * Reordering rules file.
  * Using lintian debhelper to install lintian overrides.
  * Don't fail on removing non-empty group in postrm (Closes: #463767).
  * Rewriting copyright file in machine-interpretable format.
  * Adding vcs fields in control file.
  * Upgrading package to debhelper 7.
  * Reverting config.guess and config.sub to upstream.

 -- Daniel Baumann <daniel@debian.org>  Wed, 30 Apr 2008 13:55:00 +0200

trousers (0.3.1-4) unstable; urgency=low

  * Added patch from Aaron M. Ucko <ucko@debian.org> to allow trousers to
    build successfully on amd64, and presumably also other 64-bit
    architectures (Closes: #457400).
  * Including udev rule for /dev/tpm from William Lima
    <wlima.amadeus@gmail.com> as suggested by David Smith <dds@google.com>
    (Closes: #459682).
  * Added lintian overrides.

 -- Daniel Baumann <daniel@debian.org>  Wed, 23 Jan 2008 22:03:00 +0100

trousers (0.3.1-3) unstable; urgency=low

  * Added system.data files as examples (Closes: #458748).

 -- Daniel Baumann <daniel@debian.org>  Wed, 02 Jan 2008 17:25:00 +0100

trousers (0.3.1-2) unstable; urgency=low

  * Added missing CFLAGS declaration in rules.

 -- Daniel Baumann <daniel@debian.org>  Sat, 22 Dec 2007 11:21:00 +0100

trousers (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: #409578).

 -- Daniel Baumann <daniel@debian.org>  Wed, 05 Dec 2007 19:42:00 +0100
